Bug 123801 - Small caps captions do not display the Figure/Illustration/etc. category label
Summary: Small caps captions do not display the Figure/Illustration/etc. category label
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Caption
  Show dependency treegraph
 
Reported: 2019-03-02 01:58 UTC by lomacar
Modified: 2020-05-13 20:14 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with image and modified style (12.05 KB, application/vnd.oasis.opendocument.text)
2020-05-04 19:32 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lomacar 2019-03-02 01:58:42 UTC
Description:
This at least applies to captions on images when the caption is below the image, which is the typical scenario for caption. It is not relevant for table captions, since with tables, the caption is just created as a separate paragraph in the normal document text flow.

Steps to Reproduce:
1. Insert an image into a Writer document
2. With the image selected insert a caption
3. Change the Caption paragraph style to use Small Caps font effect

Actual Results:
The caption's category label (Figure, etc.) disappears.

Expected Results:
The full caption should be visible.


Reproducible: Always


User Profile Reset: No



Additional Info:
This also happens if you select everything inside the caption frame and apply Small Caps as direct formatting, or if you select the caption plus a mysterious invisible something on the line above (the line that the image is on) and apply Small Caps.

The label is not hiding behind the image. If you make the image transparent you will see that the label is in fact gone. Yet, if you delete the image, the label reappears!

Workaround: set the image anchor to Paragraph.
Alternate Workaround: click on the caption text, move the cursor all the way to the beginning of the text frame, before the image, then press the right arrow key once so the cursor is now on the right side of the image, then press enter to create a paragraph break between the image and the caption.

Obviously this won't effect a lot of people and the workaround is OK *if* you know to do it. But it is strange and I think it is just another example showing that captions are handle poorly in LO. 

And what is that mysterious invisible thing between the image and the caption? It doesn't show up when you display formatting marks, and it doesn't even exist in the text flow, based on moving the cursor with the arrow keys, and yet there is clearly something there.
Comment 1 lomacar 2019-03-02 02:01:09 UTC
May or may not be related to https://bugs.documentfoundation.org/show_bug.cgi?id=97397, but they should be dealt with at the same time, imho.
Comment 2 lomacar 2019-03-02 02:09:53 UTC
Third workaround, select the image+caption, or at least the mysterious invisible thing+caption and then Clear Direct Formatting.
Comment 3 raal 2019-03-04 06:13:41 UTC
Confirm with Version: 6.3.0.0.alpha0+
Build ID: 65438bcda46bab4f2fe6fb555f44aace45e11e5e
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 

works correctly in Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 4 Hiromi Kuramoto 2019-03-05 07:15:43 UTC
I confirmed it with:
Version: 6.2.0.3
Build ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU threads: 4; OS: Mac OS X 10.12.5; UI render: default; VCL: osx; 
Locale: en-US (ja_JP.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 raal 2019-08-26 19:33:03 UTC
tried bibisect with bibisect-linux-64-5.3,but cannot do it - lots of crashes
Comment 6 Buovjaga 2020-05-04 19:32:58 UTC
Created attachment 160358 [details]
Test file with image and modified style
Comment 7 Buovjaga 2020-05-04 19:35:56 UTC
Bibisected with Win 5.3 repo to https://git.libreoffice.org/core/+/feedd45ba2dd308af2d3a1b2f64681b9467535b6%5E!/
in msword the hard-break between image and caption has a width

To test, open attachment 160358 [details] and right-click the image to insert a caption. The style is already modified so the lack of "Illustration" will be seen immediately.

Like raal, I struggled with the crashes upon "insert caption" in the 5.3 repo, but luckily it yielded a clear result in the end!

Adding Cc: to Caolán McNamara
Comment 8 Commit Notification 2020-05-06 15:07:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/023621fea5dff2713abe42312b04edc9531426d4

Resolves: tdf#123801 captioning issues

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2020-05-06 15:08:36 UTC
lets just abandon the attempt to use a default caption scheme that would roundtrip perfectly to msword, its more trouble in sideeffects than its worth
Comment 10 Caolán McNamara 2020-05-06 15:09:04 UTC
fixed in master, backport to 6-4 in gerrit
Comment 11 BogdanB 2020-05-10 12:39:28 UTC
It's ok now.
Verified on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 12 Commit Notification 2020-05-13 20:14:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/90cc23eabdbc9248192a584c3dc41444cdab3bfd

Resolves: tdf#123801 captioning issues

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.